%define major	5
%define liblept	%mklibname %{name} %{major}
%define devlept	%mklibname %{name} -d

Name:		leptonica
Version:	1.76.0
Release:	%mkrel 1
Summary:	C library for image processing and analysis
License:	Leptonica 
Group:		Graphics/Utilities 
URL:		http://www.leptonica.com/
Source:		http://www.leptonica.com/source/%{name}-%{version}.tar.gz
BuildRequires:	tiff-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	giflib-devel
BuildRequires:	zlib-devel

%description
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.
Featured operations are:
Rasterop (a.k.a. bitblt)
Affine transformations (scaling, translation, rotation, shear) on images
of arbitrary pixel depth
Binary and gray-scale morphology, rank order, and convolution
Seedfill and connected components
Image transformations combining changes in scale and pixel depth
Pixelwise masking, blending, enhancement, arithmetic ops, etc.
    
%package -n	%{liblept}
Summary:	C library for image processing and analysis
Group:		System/Libraries

%description -n	%{liblept}
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.
Featured operations are:
    Rasterop (a.k.a. bitblt)
    Affine transformations (scaling, translation, rotation, shear) on images
    of arbitrary pixel depth
    Binary and gray-scale morphology, rank order, and convolution
    Seedfill and connected components
    Image transformations combining changes in scale and pixel depth
    Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n	%{devlept}
Summary:	Leptonica header files
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}lept-devel = %{version}-%{release}
Obsoletes:	%{_lib}lept-devel < %{version}-%{release}
Requires:	%{liblept} = %{version}-%{release}

%description -n	%{devlept}
This package contains leptonica header files needed by developers.

%prep
%setup -q

%build
sed -i 's/EGifOpenFileHandle(fd))/EGifOpenFileHandle(fd, NULL))/g' src/gifio.c
sed -i 's/DGifOpenFileHandle(fd))/DGifOpenFileHandle(fd, NULL))/g' src/gifio.c
%configure2_5x --disable-static --disable-programs
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete
 
%files -n %{liblept}
%doc leptonica-license.txt version-notes.html
%{_libdir}/liblept.so.%{major}{,.*}

%files -n %{devlept}
%{_includedir}/%{name}/*.h
%{_libdir}/liblept.so
%{_libdir}/pkgconfig/lept.pc


%changelog
* Thu Jun 07 2018 barjac <barjac> 1.76.0-1.mga6
  (not released yet)
+ Revision: 1235245
- new version 1.76.0
- fixes CVE-2018-7440 and CVE-2018-7442 (Mga#23130)
- (gplotMakeOutput Command Injection Vulnerability)
- new version 1.75.3
- fixes CVE-2018-7186 and CVE-2018-7247
- new version 1.75.2
- Fixes CVE-2018-3836 (command injection vulnerability)

* Tue Jan 26 2016 barjac <barjac> 1.73-1.mga6
+ Revision: 927992
- new version 1.73
- new major

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.72-2.mga6
+ Revision: 920401
- rebuild for giflib
- add fix from omdv to fix build with giflib5

* Sun Sep 27 2015 barjac <barjac> 1.72-1.mga6
+ Revision: 884058
- new version 1.72

* Wed Oct 15 2014 umeabot <umeabot> 1.71-3.mga5
+ Revision: 743582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71-2.mga5
+ Revision: 681299
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 barjac <barjac> 1.71-1.mga5
+ Revision: 641681
- new version 1.71

* Mon Feb 17 2014 barjac <barjac> 1.70-1.mga5
+ Revision: 594015
- new version 1.70
- new major
- add lept.pc
- use find .. -delete for *.la

* Sat Oct 19 2013 umeabot <umeabot> 1.69-4.mga4
+ Revision: 526359
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 tv <tv> 1.69-3.mga4
+ Revision: 436778
- fix BR
- add missing BR (Pablo Saratxaga, mga#10411)

* Sat Jan 12 2013 umeabot <umeabot> 1.69-2.mga3
+ Revision: 356751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Thu Oct 18 2012 barjac <barjac> 1.69-1.mga3
+ Revision: 307770
- New version
+ doktor5000 <doktor5000>
- imported package leptonica


* Sat Nov 05 2011 Andrey Smirnov <asmirnov@mandriva.org> 1.68-1mdv2012.0
+ Revision: 720806
- libpng15 compatibility fixed
- imported package leptonica

